<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref0.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Path - std::vector</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Path - std::vector</h1><div class="xref-name"><a id="Path" /><h2 >Class Path</h2><ul>
<li><a href="../Scopes/Path.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Path.h.html#14">Path.h:14</a>: in class <a href="../Scopes/Path.html" >Path</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Bezier.h.html#15">Bezier.h:15</a>: in class <a href="../Scopes/Paths/Bezier.html" >Paths::Bezier</a></li>
<li><a href="../Source/Nurbs.h.html#58">Nurbs.h:58</a>: in class <a href="../Scopes/Paths/Nurbs.html" >Paths::Nurbs</a></li>
<li><a href="../Source/Polyline.h.html#12">Polyline.h:12</a>: in class <a href="../Scopes/Paths/Polyline.html" >Paths::Polyline</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Path.h.html#17">Path.h:17</a>: Destructor <a href="../Scopes/Path.html#_tPath_l_r" >~Path&#40;&#41;</a></li><li ><a href="../Source/Path.h.html#19">Path.h:19</a>: Member function <a href="../Scopes/Path.html#draw_l_r" >draw&#40;&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Path_mdraw_l_r" /><h2 >Member function Path::draw&#40;&#41;</h2><ul>
<li><a href="../Scopes/Path.html#draw_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Path.h.html#19">Path.h:19</a>: in class <a href="../Scopes/Path.html" >Path</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Path_m_tPath_l_r" /><h2 >Destructor Path::~Path&#40;&#41;</h2><ul>
<li><a href="../Scopes/Path.html#_tPath_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Path.h.html#17">Path.h:17</a>: in class <a href="../Scopes/Path.html" >Path</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths" /><h2 >Namespace Paths</h2><ul>
<li><a href="../Scopes/Paths.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Nurbs.h.html#7">Nurbs.h:7</a>: in namespace <a href="../Scopes/Paths.html" >Paths</a></li>
<li><a href="../Source/Polyline.h.html#7">Polyline.h:7</a>: in namespace <a href="../Scopes/Paths.html" >Paths</a></li>
<li><a href="../Source/Bezier.h.html#7">Bezier.h:7</a>: in namespace <a href="../Scopes/Paths.html" >Paths</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths_mBezier" /><h2 >Class Paths::Bezier</h2><ul>
<li><a href="../Scopes/Paths/Bezier.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Bezier.h.html#15">Bezier.h:15</a>: in class <a href="../Scopes/Paths/Bezier.html" >Paths::Bezier</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Bezier.h.html#19">Bezier.h:19</a>: Constructor <a href="../Scopes/Paths/Bezier.html#Bezier_l_r" >Bezier&#40;&#41;</a></li><li ><a href="../Source/Bezier.h.html#27">Bezier.h:27</a>: Group <a href="../Scopes/global.html#Manipulators" >&#40;'Manipulators'&#44;&#41;</a></li><li ><a href="../Source/Bezier.h.html#35">Bezier.h:35</a>: Member function <a href="../Scopes/Paths/Bezier.html#draw_l_r" >draw&#40;&#41;</a></li><li ><a href="../Source/Bezier.h.html#38">Bezier.h:38</a>: Data member <a href="../Scopes/Paths/Bezier.html#controls_" >controls_</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Paths_mBezier_mBezier_l_r" /><h2 >Constructor Paths::Bezier::Bezier&#40;&#41;</h2><ul>
<li><a href="../Scopes/Paths/Bezier.html#Bezier_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Bezier.h.html#19">Bezier.h:19</a>: in class <a href="../Scopes/Paths/Bezier.html" >Paths::Bezier</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths_mBezier_madd_control_point_lconst.Vertex_A_r" /><h2 >Member function Paths::Bezier::add_control_point&#40;const Vertex&amp;&#41;</h2><ul>
<li><a href="../Scopes/Paths/Bezier.html#add_control_point_lconst.Vertex_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Bezier.h.html#27">Bezier.h:27</a>: in class <a href="../Scopes/Paths/Bezier.html" >Paths::Bezier</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths_mBezier_mcontrols_" /><h2 >Data member Paths::Bezier::controls_</h2><ul>
<li><a href="../Scopes/Paths/Bezier.html#controls_" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Bezier.h.html#38">Bezier.h:38</a>: in class <a href="../Scopes/Paths/Bezier.html" >Paths::Bezier</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths_mBezier_mdraw_l_r" /><h2 >Member function Paths::Bezier::draw&#40;&#41;</h2><ul>
<li><a href="../Scopes/Paths/Bezier.html#draw_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Bezier.h.html#35">Bezier.h:35</a>: in class <a href="../Scopes/Paths/Bezier.html" >Paths::Bezier</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths_mBezier_mremove_control_point_lsize_t_r" /><h2 >Member function Paths::Bezier::remove_control_point&#40;size_t&#41;</h2><ul>
<li><a href="../Scopes/Paths/Bezier.html#remove_control_point_lsize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Bezier.h.html#33">Bezier.h:33</a>: in class <a href="../Scopes/Paths/Bezier.html" >Paths::Bezier</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths_mNurbs" /><h2 >Class Paths::Nurbs</h2><ul>
<li><a href="../Scopes/Paths/Nurbs.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Nurbs.h.html#58">Nurbs.h:58</a>: in class <a href="../Scopes/Paths/Nurbs.html" >Paths::Nurbs</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Nurbs.h.html#62">Nurbs.h:62</a>: Constructor <a href="../Scopes/Paths/Nurbs.html#Nurbs_l_r" >Nurbs&#40;&#41;</a></li><li ><a href="../Source/Nurbs.h.html#71">Nurbs.h:71</a>: Member function <a href="../Scopes/Paths/Nurbs.html#insert_control_point_ldouble_cconst.Vertex_A_cdouble_r" >insert_control_point&#40;double&#44;const Vertex&amp;&#44;double&#41;</a></li><li ><a href="../Source/Nurbs.h.html#72">Nurbs.h:72</a>: Member function <a href="../Scopes/Paths/Nurbs.html#draw_l_r" >draw&#40;&#41;</a></li><li ><a href="../Source/Nurbs.h.html#75">Nurbs.h:75</a>: Data member <a href="../Scopes/Paths/Nurbs.html#controls_" >controls_</a></li><li ><a href="../Source/Nurbs.h.html#76">Nurbs.h:76</a>: Data member <a href="../Scopes/Paths/Nurbs.html#weights_" >weights_</a></li><li ><a href="../Source/Nurbs.h.html#77">Nurbs.h:77</a>: Data member <a href="../Scopes/Paths/Nurbs.html#knots_" >knots_</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Paths_mNurbs_mNurbs_l_r" /><h2 >Constructor Paths::Nurbs::Nurbs&#40;&#41;</h2><ul>
<li><a href="../Scopes/Paths/Nurbs.html#Nurbs_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Nurbs.h.html#62">Nurbs.h:62</a>: in class <a href="../Scopes/Paths/Nurbs.html" >Paths::Nurbs</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths_mNurbs_mcontrols_" /><h2 >Data member Paths::Nurbs::controls_</h2><ul>
<li><a href="../Scopes/Paths/Nurbs.html#controls_" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Nurbs.h.html#75">Nurbs.h:75</a>: in class <a href="../Scopes/Paths/Nurbs.html" >Paths::Nurbs</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths_mNurbs_mdraw_l_r" /><h2 >Member function Paths::Nurbs::draw&#40;&#41;</h2><ul>
<li><a href="../Scopes/Paths/Nurbs.html#draw_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Nurbs.h.html#72">Nurbs.h:72</a>: in class <a href="../Scopes/Paths/Nurbs.html" >Paths::Nurbs</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths_mNurbs_minsert_control_point_ldouble_cconst.Vertex_A_cdouble_r" /><h2 >Member function Paths::Nurbs::insert_control_point&#40;double&#44;const Vertex&amp;&#44;double&#41;</h2><ul>
<li><a href="../Scopes/Paths/Nurbs.html#insert_control_point_ldouble_cconst.Vertex_A_cdouble_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Nurbs.h.html#70">Nurbs.h:70</a>: in class <a href="../Scopes/Paths/Nurbs.html" >Paths::Nurbs</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths_mNurbs_mknots_" /><h2 >Data member Paths::Nurbs::knots_</h2><ul>
<li><a href="../Scopes/Paths/Nurbs.html#knots_" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Nurbs.h.html#77">Nurbs.h:77</a>: in class <a href="../Scopes/Paths/Nurbs.html" >Paths::Nurbs</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths_mNurbs_mweights_" /><h2 >Data member Paths::Nurbs::weights_</h2><ul>
<li><a href="../Scopes/Paths/Nurbs.html#weights_" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Nurbs.h.html#76">Nurbs.h:76</a>: in class <a href="../Scopes/Paths/Nurbs.html" >Paths::Nurbs</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths_mPolyline" /><h2 >Class Paths::Polyline</h2><ul>
<li><a href="../Scopes/Paths/Polyline.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Polyline.h.html#12">Polyline.h:12</a>: in class <a href="../Scopes/Paths/Polyline.html" >Paths::Polyline</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Polyline.h.html#17">Polyline.h:17</a>: Constructor <a href="../Scopes/Paths/Polyline.html#Polyline_l_r" >Polyline&#40;&#41;</a></li><li ><a href="../Source/Polyline.h.html#21">Polyline.h:21</a>: Group <a href="../Scopes/global.html#Manipulators" >&#40;'Manipulators'&#44;&#41;</a></li><li ><a href="../Source/Polyline.h.html#25">Polyline.h:25</a>: Member function <a href="../Scopes/Paths/Polyline.html#draw_l_r" >draw&#40;&#41;</a></li><li ><a href="../Source/Polyline.h.html#28">Polyline.h:28</a>: Data member <a href="../Scopes/Paths/Polyline.html#vertices_" >vertices_</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Paths_mPolyline_mPolyline_l_r" /><h2 >Constructor Paths::Polyline::Polyline&#40;&#41;</h2><ul>
<li><a href="../Scopes/Paths/Polyline.html#Polyline_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Polyline.h.html#17">Polyline.h:17</a>: in class <a href="../Scopes/Paths/Polyline.html" >Paths::Polyline</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths_mPolyline_madd_vertex_lconst.Vertex_A_r" /><h2 >Member function Paths::Polyline::add_vertex&#40;const Vertex&amp;&#41;</h2><ul>
<li><a href="../Scopes/Paths/Polyline.html#add_vertex_lconst.Vertex_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Polyline.h.html#21">Polyline.h:21</a>: in class <a href="../Scopes/Paths/Polyline.html" >Paths::Polyline</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths_mPolyline_mdraw_l_r" /><h2 >Member function Paths::Polyline::draw&#40;&#41;</h2><ul>
<li><a href="../Scopes/Paths/Polyline.html#draw_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Polyline.h.html#25">Polyline.h:25</a>: in class <a href="../Scopes/Paths/Polyline.html" >Paths::Polyline</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths_mPolyline_mremove_vertex_lsize_t_r" /><h2 >Member function Paths::Polyline::remove_vertex&#40;size_t&#41;</h2><ul>
<li><a href="../Scopes/Paths/Polyline.html#remove_vertex_lsize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Polyline.h.html#23">Polyline.h:23</a>: in class <a href="../Scopes/Paths/Polyline.html" >Paths::Polyline</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Paths_mPolyline_mvertices_" /><h2 >Data member Paths::Polyline::vertices_</h2><ul>
<li><a href="../Scopes/Paths/Polyline.html#vertices_" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Polyline.h.html#28">Polyline.h:28</a>: in class <a href="../Scopes/Paths/Polyline.html" >Paths::Polyline</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Vertex" /><h2 >Struct Vertex</h2><ul>
<li><a href="../Scopes/Vertex.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Path.h.html#5">Path.h:5</a>: in struct <a href="../Scopes/Vertex.html" >Vertex</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Bezier.h.html#27">Bezier.h:27</a>: in class <a href="../Scopes/Paths/Bezier.html" >Paths::Bezier</a></li>
<li><a href="../Source/Bezier.h.html#38">Bezier.h:38</a>: in class <a href="../Scopes/Paths/Bezier.html" >Paths::Bezier</a></li>
<li><a href="../Source/Nurbs.h.html#70">Nurbs.h:70</a>: in class <a href="../Scopes/Paths/Nurbs.html" >Paths::Nurbs</a></li>
<li><a href="../Source/Nurbs.h.html#75">Nurbs.h:75</a>: in class <a href="../Scopes/Paths/Nurbs.html" >Paths::Nurbs</a></li>
<li><a href="../Source/Polyline.h.html#21">Polyline.h:21</a>: in class <a href="../Scopes/Paths/Polyline.html" >Paths::Polyline</a></li>
<li><a href="../Source/Polyline.h.html#28">Polyline.h:28</a>: in class <a href="../Scopes/Paths/Polyline.html" >Paths::Polyline</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Path.h.html#7">Path.h:7</a>: Constructor <a href="../Scopes/Vertex.html#Vertex_ldouble_cdouble_r" >Vertex&#40;double&#44;double&#41;</a></li><li ><a href="../Source/Path.h.html#8">Path.h:8</a>: Data member <a href="../Scopes/Vertex.html#x" >x</a></li><li ><a href="../Source/Path.h.html#9">Path.h:9</a>: Data member <a href="../Scopes/Vertex.html#y" >y</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Vertex_mVertex_ldouble_cdouble_r" /><h2 >Constructor Vertex::Vertex&#40;double&#44;double&#41;</h2><ul>
<li><a href="../Scopes/Vertex.html#Vertex_ldouble_cdouble_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Path.h.html#7">Path.h:7</a>: in struct <a href="../Scopes/Vertex.html" >Vertex</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Vertex_mx" /><h2 >Data member Vertex::x</h2><ul>
<li><a href="../Scopes/Vertex.html#x" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Path.h.html#8">Path.h:8</a>: in struct <a href="../Scopes/Vertex.html" >Vertex</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Vertex_my" /><h2 >Data member Vertex::y</h2><ul>
<li><a href="../Scopes/Vertex.html#y" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Path.h.html#9">Path.h:9</a>: in struct <a href="../Scopes/Vertex.html" >Vertex</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="size_t" /><h2 >size_t</h2><ul>
<li>Referenced from:
<ul>
<li><a href="../Source/Bezier.h.html#33">Bezier.h:33</a>: in class <a href="../Scopes/Paths/Bezier.html" >Paths::Bezier</a></li>
<li><a href="../Source/Polyline.h.html#23">Polyline.h:23</a>: in class <a href="../Scopes/Paths/Polyline.html" >Paths::Polyline</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="std_mvector" /><h2 >std::vector</h2><ul>
<li>Referenced from:
<ul>
<li><a href="../Source/Bezier.h.html#38">Bezier.h:38</a>: in class <a href="../Scopes/Paths/Bezier.html" >Paths::Bezier</a></li>
<li><a href="../Source/Nurbs.h.html#75">Nurbs.h:75</a>: in class <a href="../Scopes/Paths/Nurbs.html" >Paths::Nurbs</a></li>
<li><a href="../Source/Nurbs.h.html#76">Nurbs.h:76</a>: in class <a href="../Scopes/Paths/Nurbs.html" >Paths::Nurbs</a></li>
<li><a href="../Source/Nurbs.h.html#77">Nurbs.h:77</a>: in class <a href="../Scopes/Paths/Nurbs.html" >Paths::Nurbs</a></li>
<li><a href="../Source/Polyline.h.html#28">Polyline.h:28</a>: in class <a href="../Scopes/Paths/Polyline.html" >Paths::Polyline</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Fri Apr 17 08:48:13 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
